#ifndef GAME_H
#define GAME_H

#define FRACTION 9
#define SPEEDDELTA (1<<(FRACTION-1))
#define SPEEDMAX (10<<FRACTION)
#define SPEEDSTART (6<<FRACTION)
#define SPEEDTURTLE (3<<FRACTION)
#define SPEEDTURTLE_TIMEOUT 250

#define TEMPNODES 2

typedef struct GameOptions GameOptions;
struct GameOptions {
	unsigned char density, flames, bombs, generosity;
};

void run_single_player(void);
void run_network_game(void);

void set_game_options(GameOptions *options);

extern char playername[16];

extern solid background,backgroundoriginal;

#endif